/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfSetting;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record9;
import org.jooq.Row9;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PerfSettingRecord extends UpdatableRecordImpl<PerfSettingRecord> implements Record9<Integer, String, Integer, String, String, String, String, String, String> {

    private static final long serialVersionUID = 1617323491;

    /**
     * Setter for <code>PERF_SETTING.SETTING_ID</code>.
     */
    public void setSettingId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>PERF_SETTING.SETTING_ID</code>.
     */
    public Integer getSettingId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>PERF_SETTING.SETTING_TYPE</code>.
     */
    public void setSettingType(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>PERF_SETTING.SETTING_TYPE</code>.
     */
    public String getSettingType() {
        return (String) get(1);
    }

    /**
     * Setter for <code>PERF_SETTING.ORDINAL</code>.
     */
    public void setOrdinal(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>PERF_SETTING.ORDINAL</code>.
     */
    public Integer getOrdinal() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>PERF_SETTING.SETTING_KEY</code>.
     */
    public void setSettingKey(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>PERF_SETTING.SETTING_KEY</code>.
     */
    public String getSettingKey() {
        return (String) get(3);
    }

    /**
     * Setter for <code>PERF_SETTING.SETTING_LABEL</code>.
     */
    public void setSettingLabel(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>PERF_SETTING.SETTING_LABEL</code>.
     */
    public String getSettingLabel() {
        return (String) get(4);
    }

    /**
     * Setter for <code>PERF_SETTING.VALUE_TYPE</code>.
     */
    public void setValueType(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>PERF_SETTING.VALUE_TYPE</code>.
     */
    public String getValueType() {
        return (String) get(5);
    }

    /**
     * Setter for <code>PERF_SETTING.VALUE</code>.
     */
    public void setValue(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>PERF_SETTING.VALUE</code>.
     */
    public String getValue() {
        return (String) get(6);
    }

    /**
     * Setter for <code>PERF_SETTING.CAPTION</code>.
     */
    public void setCaption(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>PERF_SETTING.CAPTION</code>.
     */
    public String getCaption() {
        return (String) get(7);
    }

    /**
     * Setter for <code>PERF_SETTING.RELATION</code>.
     */
    public void setRelation(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>PERF_SETTING.RELATION</code>.
     */
    public String getRelation() {
        return (String) get(8);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record9 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<Integer, String, Integer, String, String, String, String, String, String> fieldsRow() {
        return (Row9) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<Integer, String, Integer, String, String, String, String, String, String> valuesRow() {
        return (Row9) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return PerfSetting.PERF_SETTING.SETTING_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return PerfSetting.PERF_SETTING.SETTING_TYPE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field3() {
        return PerfSetting.PERF_SETTING.ORDINAL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return PerfSetting.PERF_SETTING.SETTING_KEY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return PerfSetting.PERF_SETTING.SETTING_LABEL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return PerfSetting.PERF_SETTING.VALUE_TYPE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return PerfSetting.PERF_SETTING.VALUE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field8() {
        return PerfSetting.PERF_SETTING.CAPTION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field9() {
        return PerfSetting.PERF_SETTING.RELATION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getSettingId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getSettingType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component3() {
        return getOrdinal();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getSettingKey();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getSettingLabel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getValueType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getValue();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component8() {
        return getCaption();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component9() {
        return getRelation();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getSettingId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getSettingType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value3() {
        return getOrdinal();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getSettingKey();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getSettingLabel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getValueType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getValue();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value8() {
        return getCaption();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value9() {
        return getRelation();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value1(Integer value) {
        setSettingId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value2(String value) {
        setSettingType(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value3(Integer value) {
        setOrdinal(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value4(String value) {
        setSettingKey(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value5(String value) {
        setSettingLabel(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value6(String value) {
        setValueType(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value7(String value) {
        setValue(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value8(String value) {
        setCaption(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord value9(String value) {
        setRelation(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfSettingRecord values(Integer value1, String value2, Integer value3, String value4, String value5, String value6, String value7, String value8, String value9) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached PerfSettingRecord
     */
    public PerfSettingRecord() {
        super(PerfSetting.PERF_SETTING);
    }

    /**
     * Create a detached, initialised PerfSettingRecord
     */
    public PerfSettingRecord(Integer settingId, String settingType, Integer ordinal, String settingKey, String settingLabel, String valueType, String value, String caption, String relation) {
        super(PerfSetting.PERF_SETTING);

        set(0, settingId);
        set(1, settingType);
        set(2, ordinal);
        set(3, settingKey);
        set(4, settingLabel);
        set(5, valueType);
        set(6, value);
        set(7, caption);
        set(8, relation);
    }
}
